body {
    overflow-x: hidden;
    font-family: Sans-Serif;
    margin: 0;
}
.menu-container {
    position: relative;
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    color: #000;
    padding: 35px 0px 0px 0px;
    z-index: 1;
    -webkit-user-select: none;
    user-select: none;
    box-sizing: border-box;
}
.menu-container a {
    text-decoration: none;
    color: #fff !important;
    xtransition: color 0.3s ease;
    font-size: 12pt;
    font-weight: bold;
    padding: 20px 13px;
    border: 1px solid #002B51;
}
.menu-container a:hover {
    background: #FFCC01;
    color: #000 !important;
    text-decoration: none;
    border: 1px solid #232323;
    border-radius: 10px;
}
.menu-container input {
    display: block;
    width: 35px;
    height: 25px;
    margin: 0;
    position: absolute;
    cursor: pointer;
    opacity: 0; /* hide this */
    z-index: 2; /* and place it over the hamburger */
    -webkit-touch-callout: none;
}
/* Burger menu */
.menu-container span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background: #cdcdcd;
    border-radius: 3px;
    z-index: 1;
    transform-origin: 4px 0px;
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                            background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                            opacity 0.55s ease;
}
.menu-container span:first-child {
    transform-origin: 0% 0%;
}
.menu-container span:nth-child(3) {
    transform-origin: 0% 100%;
}
.menu-container input:checked ~ span {
    opacity: 1;
    transform: rotate(45deg) translate(3px,-1px);
    background: #232323;
}
.menu-container input:checked ~ span:nth-child(4) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}
.menu-container input:checked ~ span:nth-child(3) {
    transform: rotate(-45deg) translate(-5px,11px);
}
.menu ul {
    list-style: none;
}
.menu li {
    padding: 5px 0;
    font-size: 22px;
}
/* mobile styles */
@media only screen and (max-width: 767px) {
    .menu-container {
        flex-direction: column;
        align-items: flex-end;
    }

    .menu-logo {
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
    }

    .menu-logo img {
        max-height: 30px;
    }

    .menu {
        position: absolute;
        box-sizing: border-box;
        width: 300px;
        right: -300px;
        top: 0;
        margin: -20px;
        padding: 75px 50px 50px;
        background: #cdcdcd;
        -webkit-font-smoothing: antialiased;
        /* to stop flickering of text in safari */
        transform-origin: 0% 0%;
        transform: translateX(0%);
        transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
    }

    .menu-container input:checked ~ .menu {
        transform: translateX(-100%);
    }
}

/* desktop styles */
@media only screen and (min-width: 768px) {
    .menu-container {
        width: 100%;
    }

    .menu-container a {
        color: #cdcdcd;
    }

    .menu-container input {
        display: none;
    }

    /* Burger menu */
    .menu-container span {
        display: none;
    }

    .menu {
        position: relative;
        width: 100%;
        display: flex;
        justify-content: space-between;
    }

    .menu ul {
        display: flex;
        padding: 0;
    }

    .menu li {
        padding: 0 0px;
    }
}